pcl::BRISKSignature512 Struct Reference
Module common

A point structure representing the Binary Robust Invariant Scalable Keypoints (BRISK). More...

`#include <pcl/impl/point_types.hpp>`

## Static Public Member Functions

static int | descriptorSize ()

## Public Attributes

float | scale
float | orientation
unsigned char | descriptor [64]

## Friends

std::ostream & | operator<< (std::ostream &os, const BRISKSignature512 &p)

## Detailed Description

A point structure representing the Binary Robust Invariant Scalable Keypoints (BRISK).

Definition at line 1389 of file point_types.hpp.

## Member Function Documentation

## descriptorSize()

static int pcl::BRISKSignature512::descriptorSize | ( |  | ) |

inline static

Definition at line 1394 of file point_types.hpp.

References pcl::operator<<().

## Friends And Related Function Documentation

## operator<<

std::ostream& operator<< | ( | std::ostream & | os,
|  | const BRISKSignature512 & | p
| ) |  |

friend

## Member Data Documentation

## descriptor

unsigned char pcl::BRISKSignature512::descriptor[64]

Definition at line 1393 of file point_types.hpp.

## orientation

float pcl::BRISKSignature512::orientation

Definition at line 1392 of file point_types.hpp.

## scale

float pcl::BRISKSignature512::scale

Definition at line 1391 of file point_types.hpp.

The documentation for this struct was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/common/include/pcl/impl/point_types.hpp